# Uses of Enum Class
com.google.protobuf.FieldType

Packages that use FieldType
Package
Description
com.google.protobuf

## Uses of FieldType in com.google.protobuf

Methods in com.google.protobuf that return FieldType
Modifier and Type
Method
Description
`static FieldType`
FieldType.`forId(int id)`
Looks up the appropriate `FieldType` by it's identifier.
`static FieldType`
FieldType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FieldType[]`
FieldType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.